package com.ruoyi.web.v2.service;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v2.model.JsPatrol;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * v2.0质量巡查 服务类
 * </p>
 *
 * @author author
 * @since 2025-05-26
 */
public interface IJsPatrolService extends IService<JsPatrol> {

    AjaxResult add(JsPatrol jsPatrol);

    AjaxResult edit(JsPatrol jsPatrol);

    AjaxResult delete(String ids);

    AjaxResult page(Integer pageNum, Integer pageSize, String startTime, String endTime, String patrolLocation);

    AjaxResult listAll();
}
